# For network to work in initrd, either pass the `ip=` kernel parameter or
# enable networking.useDHCP. You also have to add the required kernel modules
# for the network card to boot.initrd.availableKernelModules. Also see the
# instructions on how to add a host key to password-store.
{ config, lib, ... }:
{
  boot.initrd.network = {
    #enable = true;
    ssh = {
      enable = lib.mkDefault config.boot.initrd.network.enable;
      port = 2222;
      # ssh-keygen -t ed25519 -N "" -f initrd-ssh-host-key -C HOSTNAME
      # pass insert -m nixos/machines/HOSTNAME/initrd-ssh-host-key < initrd-ssh-host-key
      hostKeys = [
        (toString <secrets/initrd-ssh-host-key>)
      ];
    };
  };
}
